Subject: Re: [PATCH 2/3] Makefile: use `find` to determine static header dependencies

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Aug 2014 09:54:19 -0700

Jeff King <[email-masked]> writes:

>> Actually as you are not excluding CVS, RCS, etc., and using ??* as
>> the starting point will exclude .git, .hg, etc. at the top, I think
>> we can shorten it even further and say
>> 
>> 	find ??* -name Documentation -prune -o -name \*.h
>> 
>> or something.
>
> I had originally considered starting with "find *", but I was worried
> about shell globbing overflowing command-line limits here. "echo *" on a
> built tree is about 12K.

OK.  What I queued is still your original which is the most
conservative among various "fun" alternatives we have seen so far on
this thread, so we should be good ;-)

Thanks.